attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;


#ifdef GL_ES
 uniform mediump float texelWidthOffset; 
 uniform mediump float texelHeightOffset; 

 varying mediump vec2 centerTextureCoordinate;
 varying mediump vec2 oneStepLeftTextureCoordinate;
 varying mediump vec2 twoStepsLeftTextureCoordinate;
 varying mediump vec2 oneStepRightTextureCoordinate;
 varying mediump vec2 twoStepsRightTextureCoordinate;
 
 varying lowp vec4 v_fragmentColor;
 varying mediump vec2 v_texCoord;

#else



 uniform  float texelWidthOffset; 
 uniform  float texelHeightOffset; 
 varying  vec2 centerTextureCoordinate;
 varying  vec2 oneStepLeftTextureCoordinate;
 varying  vec2 twoStepsLeftTextureCoordinate;
 varying  vec2 oneStepRightTextureCoordinate;
 varying  vec2 twoStepsRightTextureCoordinate;
 
 varying vec4 v_fragmentColor;
 varying vec2 v_texCoord;
#endif


 
 void main()
 {
     gl_Position = CC_PMatrix * a_position;

     vec2 firstOffset = vec2(1.3846153846 * 0.007, 1.3846153846 * 0.007);
     vec2 secondOffset = vec2(3.2307692308 * 0.005, 3.2307692308 * 0.005);

     centerTextureCoordinate = a_texCoord;
     oneStepLeftTextureCoordinate = a_texCoord - firstOffset;
     twoStepsLeftTextureCoordinate = a_texCoord - secondOffset;
     oneStepRightTextureCoordinate = a_texCoord + firstOffset;
     twoStepsRightTextureCoordinate = a_texCoord + secondOffset;
 }